package register

import (
	"git.akyoto.dev/cli/q/src/asm"
	"git.akyoto.dev/cli/q/src/cpu"
	"git.akyoto.dev/cli/q/src/scope"
)

// Machine is a register usage aware assembler.
type Machine struct {
	scope.Stack
	Assembler       asm.Assembler
	CPU             cpu.CPU
	RegisterHistory []uint64
}
